import { protocols } from '@ray-js/panel-sdk';

import ColorDataFormatter from './ColorDataFormatter';
import SceneFormatter from './SceneFormatter';
import MicMusicFormatter from "./MicMusicFormatter";
import PaintColourDataFormatter from './PaintColourDataFormatter'
import MusicFormatter from './MusicFormatter'
import FavFormater from './FavFormater'

export const ColourTransformer = new protocols.ColourTransformer();
export const MusicTransformer = new MusicFormatter();
export const ColorDataTransformer = new ColorDataFormatter();
export const MicMusicTransformer = new MicMusicFormatter();
export const SceneTransformer = new SceneFormatter();
export const PaintColourDataTransformer = new PaintColourDataFormatter();
export const FavTransformer = new FavFormater();

export default {
  ColourTransformer,
  MusicTransformer,
  ColorDataTransformer,
  MicMusicTransformer,
  SceneTransformer,
  PaintColourDataTransformer,
  FavTransformer
};
